# SendVenue - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send / SendVenue

# SendVenue

(common) `data class SendVenue : SendMessageRequest<ContentMessage<VenueContent>>, PositionedSendMessageRequest<ContentMessage<VenueContent>>, TitledSendMessageRequest<ContentMessage<VenueContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<VenueContent>>` (source)

### Constructors

(common)

#### <init>

`SendVenue(chatId: ChatIdentifier, venue: Venue, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`
`SendVenue(chatId: ChatIdentifier, latitude: Double, longitude: Double, title: String, address: String, foursquareId: String? = null, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`

### Properties

(common)

#### address

`val address: String`

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### foursquareId

`val foursquareId: String?`

(common)

#### latitude

`val latitude: Double`

(common)

#### longitude

`val longitude: Double`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<VenueContent>>`

(common)

#### title

`val title: String`

### Functions

(common)

#### method

`fun method(): String`